> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Get an entity's payment methods

GET https://api.sandbox.monite.com/v1/entities/{entity_id}/payment_methods

Returns a list of payments methods that have been previously requested by the entity via [`PUT /entities/{entity_id}/payment_methods`](https://docs.monite.com/api/payment-methods/put-entities-id-payment-methods). For a list of all payment methods supported by Monite, see [Payment methods](https://docs.monite.com/payments/payment-methods).

Payment methods with the `active` status can be used immediately, whereas `inactive` payment methods require that the entity first completes the [onboarding](https://docs.monite.com/payments/onboarding/index) required by those methods.

Reference: https://docs.monite.com/api/payment-methods/get-entities-id-payment-methods

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Path parameters

- `entity_id` (string, required) — ID of the entity whose payment methods you want to get.

### Headers

- `x-monite-version` (string, required)

## Response

### 200

Successful Response

- `data` (list of PaymentMethod, required)

## Errors

### 401 Get Entities ID Payment Methods Request Unauthorized Error

The `Authorization` header is missing or contains an invalid or expired access token. See [Authentication](https://docs.monite.com/api/concepts/authentication) to learn how to authenticate API calls.

- `any`

### 422 Get Entities ID Payment Methods Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 429 Get Entities ID Payment Methods Request Too Many Requests Error

API rate limit has been exceeded. Check the response headers for the rate limit information.

- `any`

## Types

### PaymentMethod

- `direction` (enum, required)
  - Allowed values: `receive`, `send`
- `name` (enum, required) — The display name of the payment method.
  - Allowed values: `SEPA Payments`, `US ACH Payments`, `BLIK`, `Card payments`, `Bacs Direct Debit`, `Bancontact`, `Electronic Payment Standard`, `Giropay`, `iDEAL`, `Przelewy24`, `SEPA Direct Debit`, `SOFORT`, `Apple Pay`, `Google Pay`, `Affirm`, `Klarna`
- `status` (enum, required) — `active` payment methods can be used immediately. `inactive` status means that the entity must complete the [onboarding process](https://docs.monite.com/payments/onboarding/index) before it can use this payment method.
  - Allowed values: `active`, `inactive`
- `type` (enum, required) — The payment method code. These codes are used, for example, to specify the payment methods when creating [payment links](https://docs.monite.com/docs/payment-links).
  - Allowed values: `sepa_credit`, `us_ach`, `blik`, `card`, `bacs_direct_debit`, `bancontact`, `eps`, `giropay`, `ideal`, `p24`, `sepa_debit`, `sofort`, `applepay`, `googlepay`, `affirm`, `klarna`

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "data": [
    {
      "direction": "receive",
      "name": "SEPA Payments",
      "status": "active",
      "type": "sepa_credit"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods"

headers = {
    "x-monite-version": "2024-05-25",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods';
const options = {
  method: 'GET',
  headers: {'x-monite-version': '2024-05-25', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-monite-version", "2024-05-25")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-monite-version"] = '2024-05-25'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods")
  .header("x-monite-version", "2024-05-25")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-monite-version' => '2024-05-25',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods");
var request = new RestRequest(Method.GET);
request.AddHeader("x-monite-version", "2024-05-25");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2024-05-25",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```